package models

type ClientDrawLogRequest struct {
	ClientOpenID string `json:"client_open_id"` //
	PageSize     int    `json:"page_size"`
	PageIndex    int    `json:"page_index"`
}

type ClientDrawLogReply struct {
	DrawProductName string `json:"draw_product_name"` //奖品名称
	IsPrize         int    `json:"is_prize"`          //1-未中奖 2-未兑奖 3-已兑奖
	Url             string `json:"url"`               //
	Id              int64  `json:"id"`                //id
	DrawTime        string `json:"draw_time"`
}

type DrawLogVerificationCodeRequest struct {
	DrawLogId int64  `json:"draw_log_id"`
	OpenId    string `json:"open_id"`
}

type DrawLogVerificationCodeReply struct {
	DrawLogId int64  `json:"draw_log_id"`
	Key       string `json:"key"`
}

type DrawCancelRequest struct {
	DrawLogId int64  `json:"draw_log_id"`
	Key       string `json:"key"`
}

type DrawCancelInfoRequest struct {
	DrawLogId int64  `json:"draw_log_id"`
	Key       string `json:"key"`
}

// 返回
type DrawCancelInfoReply struct {
	ActiveConfigName string `json:"active_config_name"` //配置名称
	DrawProductName  string `json:"draw_product_name"`  //奖品名称
	DrawUrl          string `json:"draw_url"`           //图片URL
	DrawLogId        int64  `json:"draw_log_id"`        //抽奖id
	DrawTime         string `json:"draw_time"`          //中奖时间
}
